package com.zhgd.xmgl.modules.basicdata.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhgd.jeecg.common.mybatis.EntityMap;
import com.zhgd.xmgl.modules.basicdata.entity.BaseAction;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Description: 系统资源-功能操作
 * @author： pds
 * @date：   2020-10-27
 * @version： V1.0
 */
@Mapper
public interface BaseActionMapper extends BaseMapper<BaseAction> {

    List<EntityMap> getProjectBaseActionList(Map<String, Object> map);

    List<EntityMap> getProjectUserActionList(Map<String, Object> map);

    List<EntityMap> getHeadquartersActionList(Map<String, Object> param);

    List<EntityMap> getComapnyUserActionList(Map<String, Object> param);

    Set<String> getActionCodes(@Param("accountType") Integer accountType);

    Set<String> getActionCodeByRole(@Param("roleId") Long roleId);

    Set<String> getMenuCode(@Param("menuId") String menuId);

    List<String> getByModuleId(@Param("moduleId") String moduleId);
}
